Funnels
Preview Funnel
POST
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringapplication/json- body
segment?array<string>|nullexcludeSegment?array<string>|nulldefinition*timezone?string|nullFunnelResults
application/json- response
source*stringValue in
"web""mod""error""vitals"unit*stringValue in
"people""sessions""attempts"from*stringto*stringactive*number||nullsteps*array<>conversionSeconds*durations*trend*previous*|nullbreakdown*|nullcurl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/preview' \ -H 'Content-Type: application/json' \ -d '{ "definition": { "name": "string", "steps": [ { "id": "string", "name": "string", "match": "all", "filters": [ { "field": "string", "operator": "equals", "value": "string" } ] } ], "conversionWindowSeconds": 0, "strictOrder": true, "timeRangeSeconds": 0 }}'Example Response
{ "source": "web", "unit": "people", "from": "string", "to": "string", "active": 0, "steps": [ { "count": 0, "conversionRate": 0, "stepConversionRate": 0, "dropped": 0, "medianSeconds": 0, "p90Seconds": 0 } ], "conversionSeconds": { "median": 0, "p90": 0 }, "durations": { "edges": [ 0 ], "histograms": [ [ 0 ] ] }, "trend": { "interval": "hour", "points": [ { "at": "string", "counts": [ 0 ] } ] }, "previous": { "from": "string", "to": "string", "counts": [ 0 ] }, "breakdown": { "field": "string", "rows": [ { "value": "string", "counts": [ 0 ] } ], "other": [ 0 ] }}curl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/preview' \
-H 'Content-Type: application/json' \
-d '{
"definition": {
"name": "string",
"steps": [
{
"id": "string",
"name": "string",
"match": "all",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"conversionWindowSeconds": 0,
"strictOrder": true,
"timeRangeSeconds": 0
}
}'{
"source": "web",
"unit": "people",
"from": "string",
"to": "string",
"active": 0,
"steps": [
{
"count": 0,
"conversionRate": 0,
"stepConversionRate": 0,
"dropped": 0,
"medianSeconds": 0,
"p90Seconds": 0
}
],
"conversionSeconds": {
"median": 0,
"p90": 0
},
"durations": {
"edges": [
0
],
"histograms": [
[
0
]
]
},
"trend": {
"interval": "hour",
"points": [
{
"at": "string",
"counts": [
0
]
}
]
},
"previous": {
"from": "string",
"to": "string",
"counts": [
0
]
},
"breakdown": {
"field": "string",
"rows": [
{
"value": "string",
"counts": [
0
]
}
],
"other": [
0
]
}
}